<?

header("Cache-Control: no-cache");
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("inc.php");
$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link);
require("version.php");

switch($mod) {

case 'photo':
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>";
echo "<card id=\"cabinet\" title=\"Импорт фото\">";
echo "<p align=\"center\">";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Импорт фото</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
echo "<form method=\"POST\" action=\"import.php?$ses&amp;mod=photo&amp;ref=$ref\" name=\"auth\">\n";
}
if (isset($file)){
$par = GetImageSize("http://$file"); 
if($par[2]==1)$foto="$id.gif"; //Загрузка фото в формате gif
if($par[2]==2)$foto="$id.jpg"; //Загрузка фото в формате jpg
if($par[2]==3)$foto="$id.png"; //Загрузка фото в формате png

if(($par[2]!==2)&&($par[2]!==1)&&($par[2]!==3)){
$msg="<b>Нe верный формат изображения, либо вы указали не верный адрес картинки!</b><br/>".$divide."";
}
if(($par[0]>174)||($par[1]>174)){
$msg="<b>Размер изображения не больше 174x174!</b><br/>".$divide."";
}
if(!$msg){
if (file_exists("photos/$foto")){unlink ("photos/$foto");} 
Copy("http://$file", "photos/".basename($foto)); 
@mysql_query ("Update users set img='".$foto."', votefoto='0' where id ='".$id."'");} 
@mysql_query ("Delete from golos where user ='".$id."'"); 
}
$r3 = mysql_query ("select img,user from users where id = '".$id."'");
$row = mysql_fetch_array($r3); 
echo $fsize1; 
echo "$msg";
echo "Фото для <b>".$row["user"]."</b><br/>";
echo $divide;
echo $fsize2;
if(@$row["img"]!=""){
$row["img"] = UrlEncode($row["img"]);
echo "<img align=\"center\" src=\"fr.php?usid=$id\" alt=\"".$row["user"]."\"/><br/>\n";
}
echo $fsize1;
echo "<b>ВНИМАНИЕ!!!</b><br/>";
echo "<i>При загрузки нового фото обнуляется колличество голосов за ваше фото. Чтобы голоса начали засчитываться за новое.</i><br/>";
echo "Aдрес Фотo в сети:<br/>";
echo "http://";
echo $fsize2;
echo "<input name=\"file\" title=\"file\" maxlength=\"200\"/><br/>";
if ($ver=="wml"){
echo $fsize1;
echo "<anchor title=\"go\">Установить<go href=\"import.php?$ses&amp;mod=photo&amp;ref=$ref\" method=\"post\">";
echo "<postfield name=\"file\" value=\"$(file)\"/>";
echo "</go></anchor>";
echo $fsize2;
echo "<br/>";
}else{
echo "<input type=\"submit\" value=\"Установить\" name=\"enter\"><br/>\n";
}
break;

case 'smile':
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>";
echo "<card id=\"cabinet\" title=\"Импорт смайла\">";
echo "<p align=\"center\">";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Импорт смайла</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
echo "<form method=\"POST\" action=\"import.php?$ses&amp;mod=smile&amp;ref=$ref\" name=\"auth\">\n";
}
if (isset($file)){
$par = GetImageSize("http://$file"); 
if($par[2]==1)$foto="$id.gif"; //Загрузка фото в формате gif
if($par[2]==2)$foto="$id.jpg"; //Загрузка фото в формате jpg
if($par[2]==3)$foto="$id.png"; //Загрузка фото в формате png
if(($par[2]!==2)&&($par[2]!==1)&&($par[2]!==3)) {$msg="<b>Нe верный формат изображения, либо вы указали не верный адрес картинки!</b><br/>".$divide."";}
if(($par[0]>100)||($par[1]>100)) {$msg="<b>Размер изображения не больше 100x100!</b><br/>".$divide."";}
if(!$msg){
if (file_exists("loadsmile/$foto")){unlink ("loadsmile/$foto");} 
Copy("http://$file", "loadsmile/".basename($foto)); 
@mysql_query ("Update users set mysmile='".$foto."' where id ='".$id."'");} 
}
$r3 = mysql_query ("select mysmile, user from users where id = '".$id."'");
$row = mysql_fetch_array($r3); 
echo $fsize1;
echo "$msg";
echo "Личный смайл для <b>".$row["user"]."</b><br/>";
echo $divide;
echo $fsize2;
if(@$row["mysmile"]!=""){
$row["mysmile"] = UrlEncode($row["mysmile"]);
echo "<img align=\"center\" src=\"fr3.php?usid=$id\" alt=\"".$row["user"]."\"/><br/>\n";
}
echo $fsize1;
echo "Aдрес смайла в сети:<br/>";
echo "http://";
echo $fsize2;
echo "<input name=\"file\" title=\"file\" maxlength=\"200\"/><br/>";
if ($ver=="wml"){
echo $fsize1;
echo "<anchor title=\"go\">Установить<go href=\"import.php?$ses&amp;mod=smile&amp;ref=$ref\" method=\"post\">";
echo "<postfield name=\"file\" value=\"$(file)\"/>";
echo "</go></anchor>";
echo $fsize2;
echo "<br/>";
}else{
echo "<input type=\"submit\" value=\"Установить\" name=\"enter\"><br/>\n";
}
break;

case 'avatars':
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>";
echo "<card id=\"cabinet\" title=\"Импорт фото\">";
echo "<p align=\"center\">";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Импорт смайла</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
echo "<form method=\"POST\" action=\"import.php?$ses&amp;mod=avatars&amp;ref=$ref\" name=\"auth\">\n";
}
if (isset($file)){
$par = GetImageSize("http://$file"); 
if($par[2]==1)$foto="$id.gif"; //Загрузка фото в формате gif
if($par[2]==2)$foto="$id.jpg"; //Загрузка фото в формате jpg
if($par[2]==3)$foto="$id.png"; //Загрузка фото в формате png
if(($par[2]!==2)&&($par[2]!==1)&&($par[2]!==3)) {$msg="<b>Нe верный формат изображения, либо вы указали не верный адрес картинки!</b><br/>".$divide."";}
if(($par[0]>100)||($par[1]>100)) {$msg="<b>Размер изображения не больше 100x100!</b><br/>".$divide."";}
if(!$msg){
if (file_exists("loadavatars/$foto")){unlink ("loadavatars/$foto");} 
Copy("http://$file", "loadavatars/".basename($foto)); 
@mysql_query ("Update users set mysmile='".$foto."' where id ='".$id."'");} 
}
$r3 = mysql_query ("select mysmile, user from users where id = '".$id."'");
$row = mysql_fetch_array($r3); 
echo $fsize1;
echo "$msg";
echo "Личный аватар для <b>".$row["user"]."</b><br/>";
echo $divide;
echo $fsize2;
if(@$row["mysmile"]!=""){
$row["mysmile"] = UrlEncode($row["mysmile"]);
echo "<img align=\"center\" src=\"fr2.php?usid=$id\" alt=\"".$row["user"]."\"/><br/>\n";
}
echo $fsize1;
echo "Aдрес аватара в сети:<br/>";
echo "http://";
echo $fsize2;
echo "<input name=\"file\" title=\"file\" maxlength=\"200\"/><br/>";
if ($ver=="wml"){
echo $fsize1;
echo "<anchor title=\"go\">Установить<go href=\"import.php?$ses&amp;mod=avatars&amp;ref=$ref\" method=\"post\">";
echo "<postfield name=\"file\" value=\"$(file)\"/>";
echo "</go></anchor>";
echo $fsize2;
echo "<br/>";
}else{
echo "<input type=\"submit\" value=\"Установить\" name=\"enter\"><br/>\n";
}
break;
}
echo $fsize1;
echo $divide;
if (isset ($rm))echo "<a href=\"chat.php?$ses&amp;rm=$rm\">В чат</a><br/>\n"; 
echo "<a href=\"cabinet.php?$ses&amp;ref=$ref\">Личный кабинет</a><br/>\n";
echo "<a href=\"enter.php?$ses&amp;ref=$ref\">Прихожая</a><br/>\n"; 
echo $fsize2; 
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>"; 
mysql_close($link); 
?>